Bug 1568203 - golang-github-oschwald-maxminddb-golang: build for EPEL7
Summary: golang-github-oschwald-maxminddb-golang: build for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-oschwald-maxminddb-golang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 00:35 UTC by Carl George
Modified: 2018-05-06 01:39 UTC (History)
1 user (show)

Fixed In Version: golang-github-oschwald-maxminddb-golang-1.3.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-06 01:39:27 UTC


Attachments (Terms of Use)

Description Carl George 2018-04-17 00:35:29 UTC
Description of problem:
I'd like to BR golang(github.com/oschwald/maxminddb-golang) in one of my EPEL7 packages, but golang-github-oschwald-maxminddb-golang-devel is not available.

Additional info:
The current master branch builds and installs on RHEL7 correctly.

Comment 1 Carl George 2018-04-18 04:29:29 UTC
If you would like to add me as a co-maintainer, I can take care of this myself.

Comment 2 Fabio Valentini 2018-04-18 15:07:16 UTC
I've requested a branch for epel7, and I can take care of it myself, it shouldn't be too much work since the package is fairly low maintenance.

Comment 3 Carl George 2018-04-18 20:55:58 UTC
Awesome, thanks!  I appreciate it.  Once it's branched and built could I bother you for a buildroot override in bodhi so I can start using it for my build right away?

Comment 4 Fedora Update System 2018-04-18 21:33:50 UTC
golang-github-oschwald-maxminddb-golang-1.3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-15291f5a9e

Comment 5 Fabio Valentini 2018-04-18 21:36:54 UTC
Built for EPEL7, update submitted to bodhi, buildroot override filed. Confirm presence in buildroot by running:

    koji wait-repo epel7-build --build=golang-github-oschwald-maxminddb-golang-1.3.0-1.el7

Comment 6 Fedora Update System 2018-04-19 16:58:45 UTC
golang-github-oschwald-maxminddb-golang-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-15291f5a9e

Comment 7 Carl George 2018-04-19 17:45:34 UTC
Worked perfectly, thank you so much!

Comment 8 Fabio Valentini 2018-04-19 20:01:48 UTC
No problem!

Comment 9 Fedora Update System 2018-05-06 01:39:27 UTC
golang-github-oschwald-maxminddb-golang-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.